/**
  *  \file client/widgets/imagepanel.h
  *  \brief Image Panel
  *
  *  (c) 2001-2010 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_IMAGEPANEL_H
#define PCC_V2_CLIENT_WIDGETS_IMAGEPANEL_H

#include "ui/ui.h"
#include "ui/skin.h"
#include "gfx/pixmap.h"

/** Image Panel. A window that doesn't have any window decoration,
    but instead displays a pixmap.

    This window also comes with its own color scheme (skin), which
    assumes a certain content of the pixmaps. That is, it won't
    work nicely with fire or woods :-) */
class WImagePanel : public UILayoutableWidget,
                    private UISkin
{
    string_t       name;
    Ptr<GfxPixmap> image;
 public:
    WImagePanel(string_t name, Ptr<GfxPixmap> image);
    ~WImagePanel();

    // UILayoutableWidget
    void drawContent(GfxCanvas& can);
    void adjustSize(GfxRect& size, bool to_inner);

    // UISkin
    void drawBackground(GfxContext& ctx, GfxRect area);
};

#endif
